boxer-data (10.9.12) unstable; urgency=medium

  * add class l10n.mythes.pt.BR since bookworm
  * add class l10n.hyphen.be since bookworm
  * update class Desktop.web.webkit:
    + have subclass gtk install surf (not luakit) since bookworm;
    + include gnome by default
      (not gtk: luakit broken with Wayland, see bug#1012739)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Aug 2022 18:31:45 +0200

boxer-data (10.9.11) unstable; urgency=medium

  * fix class Service.ssh.openssh.reset
    to avoid broken symlinks by using systemctl

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2022 11:04:24 +0200

boxer-data (10.9.10) unstable; urgency=medium

  * fix and simplify class Service.ssh.openssh.reset:
    + avoid hanging after generating keys
    + avoid creating and using external script

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2022 09:04:07 +0200

boxer-data (10.9.9) unstable; urgency=medium

  * fix class Service.time.chrony.pre-resolve:
    + include class Admin.etc.functions
  * declare compliance with Debian Policy 4.6.1
  * use semantic newlines in long description and copyright fields

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 May 2022 20:40:29 +0200

boxer-data (10.9.8) unstable; urgency=medium

  * update class Desktop.office:
    + add subclass suckless
  * drop class Hardware.net.bufferbloat.avoid since Bookworm
    (fq_codel enabled by default since linux-image 5.16~rc8-1~exp1)
  * reformat CHANGES to Keep a Changelog style
  * rename CHANGES -> CHANGELOG.md
  * rename TODO -> TODO.md
  * Consistently use asterisk as bullets in TODO
  * tighten lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Feb 2022 12:35:47 +0100

boxer-data (10.9.7) unstable; urgency=medium

  * update class Desktop.design.animation:
    + stop install package synfigstudio since bookworm

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 17:26:34 +0100

boxer-data (10.9.6) unstable; urgency=medium

  * update class Desktop.editor.text:
    + add subclasses xfce code.xfce,
      both installing mousepad (same as gtk, for now)
  * update class Desktop.editor.text.code.gtk:
    + install package l3afpad (not mousepad) since bookworm
  * update class Service.time:
    + use chrony by default
      (more accurate and smoothly adjusting than systemd-timesyncd)
  * add classes l10n.mn l10n.hunspell.mn l10n.hyphen.mn
  * update class l10n.hunspell.en.ZA:
    + install package hunspell-en-za (not hunspell-en-gb)
  * update class Desktop.office.libreoffice.locale:
    + update subclass kn to install package libreoffice-l10n-kn
    + update sublass EUROPE to install package libreoffice-l10n-szl
  * update class Desktop.email.thunderbird.locale:
    + update subclass ASIA to stop install package thunderbird-l10n-si

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2022 17:11:24 +0100

boxer-data (10.9.5) unstable; urgency=medium

  * empty and deprecate class l10n.ispell.it
    (unmaintained - see bug#996361 - and gone upstream)
  * update class Console.mobile:
    + install packages syncevolution syncevolution-http
  * drop obsolete empty class Service.time.systemd.pre-resolve
  * update class Service.mail.mta.avoid:
    + stop avoid gone package qmail-run

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Nov 2021 15:17:41 +0100

boxer-data (10.9.4) unstable; urgency=medium

  * update class Desktop.scheduling.lightning:
    stop install package lightning (gone)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Nov 2021 02:01:01 +0100

boxer-data (10.9.3) unstable; urgency=medium

  * update class Desktop.web.webkit.gtk:
    install luakit (not midori: Electron-based nowadays - see bug#995398)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2021 15:07:46 +0200

boxer-data (10.9.2) unstable; urgency=medium

  * update class Service.filesystem.indexer
    to install package plocate (not mlocate); see bug#989517
  * add class Service.time.chrony.systemd
    to integrate chrony with systemd
  * update class Desktop.mendia.video.mpv.gtk
    to install celluloid (not gnome-mpv now a transitional package)
  * update class Service.class.time.chrony.pre-resolve
    to save tweak as a snippet
  * update copyright info:
    + update coverage
    + use Reference field (not License-Reference);
      tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Sep 2021 22:52:51 +0200

boxer-data (10.9.1) unstable; urgency=medium

  * drop class Service.time.systemd.pre-resolve:
    obsolete (DNSSEC is bypassed when resolving NTP hosts
    since systemd 247.3-2)
  * fix install bookworm data

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Aug 2021 21:22:16 +0200

boxer-data (10.9.0) unstable; urgency=medium

  * update class Desktop.design.painting.gtk: revert to install package gimp-plugin-registry: in good shape again now
  * drop suite buster
  * update TODOs
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 14:12:54 +0200

boxer-data (10.8.28) unstable; urgency=medium

  * fix exclude node showmebox-gnustep in autopkgtests
    on archs without thunderbird
  * fix have autopkgtests explicitly depend on make

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Apr 2021 10:04:43 +0200

boxer-data (10.8.27) unstable; urgency=medium

  * fix exclude node dharma in autopkgtests
    on archs without thunderbird
  * fix update class Service.web.uwsgi.python:
    install uwsgi-plugin-python3 (not uwsgi-plugin-python)
    since bullseye

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Apr 2021 11:46:04 +0200

boxer-data (10.8.26) unstable; urgency=medium

  * fix drop class Service.web.wiki.moinmoin since bullseye:
    MoinMoin is virtually dead upstream and no longer in Debian
  * fix really really skip autopkgtests involving thunderbird/falkon
    where unavailable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2021 09:12:54 +0200

boxer-data (10.8.25) unstable; urgency=medium

  * fix class Service.mail.list:
    install Mailman3 and Hyperkitty (not mailman) since bullseye
  * fix really skip autopkgtests involving thunderbird/falkon
    where unavailable

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Apr 2021 08:10:40 +0200

boxer-data (10.8.24) unstable; urgency=medium

  * fix skip autopkgtests involving thunderbird/falkon where unavailable,
    and enable other arch-sepcific autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Apr 2021 14:59:17 +0200

boxer-data (10.8.23) unstable; urgency=medium

  * have autopkgtest skip arch-specific nodes,
    and include showmebox-gnustep
    (not sure why that was skipped previously);
    closes: bug#987079, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Apr 2021 09:04:47 +0200

boxer-data (10.8.22) unstable; urgency=medium

  * fix class Service.mail.avoid:
    stop avoid citadel-mta unavailable since bullseye;
    closes: bug#986726, thanks to Graham Inggs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Apr 2021 10:47:12 +0200

boxer-data (10.8.21) unstable; urgency=medium

  * update class Desktop.design.web.sass:
    + stop install packages for obsolete libraries
      singularitygs slickmap susy yui
    + stop mention Compass in description
    + install packages for Sass libraries
      gutenberg sass-extras typey
    + stop auto-marking packages ruby-compass ruby-sass
    + install package sassc

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2021 15:47:13 +0100

boxer-data (10.8.20) unstable; urgency=medium

  * drop classes
    Desktop.environment.xfce.scheduling
    Desktop.environment.scheduling.lxqt
    since bullseye
    (package orage is gone, see bug#977628)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 21:43:05 +0100

boxer-data (10.8.19) unstable; urgency=medium

  * drop classes l10n.se l10n.hunspell.se since bullseye
    (see bug#978987)
  * update class Desktop.environment.lxqt.limit:
    stop avoid package disk-manager since bullseye
    (gone: see bug#943969)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 21:23:08 +0100

boxer-data (10.8.18) unstable; urgency=medium

  * fix class Hardware.net.bufferbloat.avoid
    to use correct syntax
  * update class Desktop.design.web:
    + stop include Desktop.web.blink (see bug#972134)
  * declare compliance with Debian Policy 4.5.1
  * use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * annotate test-only build-dependency

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Dec 2020 14:03:31 +0100

boxer-data (10.8.17) unstable; urgency=medium

  * use POSIX sed option -E (not -r) in tweaks
  * spellcheck changelog
  * update class Desktop.email.thunderbird.harden:
    + no-op since bullseye:
      enigmail is gone, and Thunderbird supports PGP now
  * update class Desktop.web.firefox.harden:
    + install package webext-ublock-origin-firefox
      (not webext-ublock-origin)
      since bullseye
  * update class Desktop.email.thunderbird.locales:
    + install package thunderbird-l10n-kab to subclass AFRICA
    + install packages thunderbird-l10n-dsb thunderbird-l10n-hsb
      to subclass EUROPA
  * update class l10n.aspell:
    + fix install package aspell-cs (not bogus aspell-cz)
      in subclass cs
  * update class l10n.hunspell:
    + fix have subclass en.ZA include en.GB
      (not virtual package hunspell-en-za)
    + fix drop obsolete subclasses
      ca.myspell de.AT.myspell de.CH.myspell de.DE.myspell gl.rag
      hr.myspell nl.myspell pl.myspell pt.BR.myspell pt.PT.myspell
      ru.myspell sv.dsso
    + consistently provide explicit hunspell subclass
      when both hunspell and myspell variants exist
    + consistently avoid explicit hunspell subclass
      when the only exisitng variant
    + consistently provide explicit myspell subclass
      (even if the only exisitng variant)
  * fix add base class l10n.hyphen.pt
  * update class l10n.ispell:
    + stop include subclass de.DE.old in de.DE
  * update class l10n.wordlist:
    + stop include subclass de.DE.old in de.DE
  * update class l10n.mythes:
    + fix install package mythes-de-ch (not mythes-de)
      in subclass de.CH
  * update class l10n:
    + tighten localeregion classes
  * add classes
    l10n.hunspell.tr
    l10n.hyphen.id l10n.hyphen.lv
    l10n.mythes.cs l10n.mythes.gug l10n.mythes.id
    l10n.gug l10n.id l10n.lv l10n.tr

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Nov 2020 12:08:50 +0100

boxer-data (10.8.16) unstable; urgency=medium

  * fix mark many auto-installed packages since Buster
    (not only Stretch),
    as intended since 10.8.12
  * drop suite stretch; add suite bookworm
  * update class Desktop.design.color.gtk:
    + install package gcolor3 since bullseye
    + stop mention gcolor2 for buster
  * update class Desktop.web.firefox.harden:
    + stop install package webext-noscript
      (arguably superseded by webext-ublock-origin)
  * update class Service.time:
    + have base class include Service.time.systemd
      (not Service.time.openntpd)
  * update class Desktop.design.painting.gtk:
    + avoid package gimp-plugin-registrysince bullseye
      (in too bad shape)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Aug 2020 21:08:08 +0200

boxer-data (10.8.15) unstable; urgency=medium

  * add class Hardware.motherboard.olimex.a64 since Buster
  * update classes Hardware.laptop Hardware.motherboard:
    + stop include class hw.firmware for ARM systems
  * update class hw.firmware:
    + include firmware-ath9k-htc since Buster,
      but temporarily avoid since Bullseye (bug#944169, #951891)
  * update class Framework.pkg.apt.source.reset:
    + omit security when no VERSION in /etc/os-release
    + omit *-updates when targeted sid
  * update class Admin.apt.tools:
    + add subclass support, and include in base clase
  * update class Admin.apt.tools:
    + drop subclass libreload.whatmaps: deprecated (see bug#964470#10)
  * drop class Framework.media.wildmidi.limit since buster:
    bug#612509 fixed
  * drop class Service.dns.systemd.fallback.avoid since buster:
    bug#923081 fixed
  * drop obsolete bug hints

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Jul 2020 22:26:12 +0200

boxer-data (10.8.14) unstable; urgency=medium

  * fix typo in previous changelog entry
  * update class Desktop.office.libreoffice:
    + make subclass theme.tango a noop since Buster
      (package libreoffice-style-tango no longer optional since then)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Jun 2020 09:05:09 +0200

boxer-data (10.8.13) unstable; urgency=medium

  * update class Desktop.design.pdf:
    + include pdfarranger since Buster
    + mention BookletImposer
    + stop include origami-pdf since Bullseye
  * update class Hardware.nic:
    + extend subclass atheros:
      include firmware-ath9k-htc
    + add subclass broadcom.brcm
    + extend subclass atheros:
      nonfree-include firmware-zd1211
    + add subclass intel
    + add subclass prism2
    + add default classes,
      omitting packages needing network or compilation during install
  * update class hw: add subclass nic
  * update class Console.design:
    + add subclasses font web
    + update subclass painting.gtk:
      include drawing mypaint mypaint-data-extras since bullseye;
      stop mention mypaint before bullseye
  * update class Desktop.web.webkit.gtk: add midori (not surf)
  * add class Task.text
  * update class Framework.crypto.gnupg.pinentry.qt:
    + include pinentry-qt (not pinentry-qt4)
  * drop class Hardware.gl.software
  * autopkgtest: skip showmebox-gnustep:
    known temporarily broken in Bullseye

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jun 2020 15:55:32 +0200

boxer-data (10.8.12) unstable; urgency=medium

  * update class Desktop.scheduling.lightning:
    + install package webext-dav4tbsync since buster
  * mark many auto-installed packages
  * update class Desktop.tools.account:
    + install package update usermode (not gnome-system-tools);
      see bug#888675,#888670

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Jan 2020 12:28:33 +0100

boxer-data (10.8.11) unstable; urgency=medium

  * Update class Desktop.office.libreoffice:
    + Have subclass gnome stop add gtk.
      Have subclass gtk add gtk.gtk3 (not gtk.gtk2) since Bullseye.
  * Fix class Hardware.box.globalscale:
    + Include class Hardware.bootloader.u-boot."
  * Add class Hardware.net.bufferbloat.avoid since Buster.
  * Add class Console.locale.default.reset.
  * Add class Console.setup.root.reset.
  * Extend class Console.filemanager:
    + Add subclass mc.full, enabled by default.
  * Update class Console.design.drawing:
    + Stop install package usvg (too immature).
  * Fix class Desktop.media.audio.alsa:
    + Include volumeicon-alsa (not volti); see bug#943985.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper compatibility level to 9.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 Dec 2019 11:44:27 +0100

boxer-data (10.8.10) unstable; urgency=medium

  * Fix class Service.init.sysv:
    + Include/exclude package sysvinit-core
      (not obsolete sysvinit).
  * Fix classes
    Hardware.net.interfaces.dhcp.systemd
    Service.firewall.systemd:
    Broken syntax in tweak.
  * Fix drop class Framework.theme.xfce since bullseye
    (not only avoid package gtk2-engines-xfce).
    See bug#935954.
  * Update class Service.dns:
    + Add subclasses bind unbound systemd resolver.
    + Use caching service (not authoritative) by default.
    + Use systemd (not unbound) as default caching service.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Aug 2019 17:30:28 +0200

boxer-data (10.8.9) unstable; urgency=medium

  * Update class Framework.theme.xfce:
    + Include subclass gtk3 (not gtk2) and drop subclass gtk2
      since Bullseye.
      See bug#935954.
  * Mark binary package as Multi-Arch: foreign.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Aug 2019 14:51:16 +0200

boxer-data (10.8.8) unstable; urgency=medium

  * Fix class Service.supplicant.iwd: Broken syntax.
  * Declare compliance with Debian Policy 4.3.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Aug 2019 09:20:11 +0200

boxer-data (10.8.7) unstable; urgency=medium

  * Fix classes
    Hardware.net.enable.systemd
    Hardware.net.interfaces.dhcp.network-manager
    Hardware.net.interfaces.dhcp.systemd
    Service.firewall.firewalld.network-manager
    Service.firewall.systemd,
    and most of class Hardware.net.interfaces.functions
    (broken since introduced in release 10.8.1).
  * Fix class Service.init.systemd description.
  * Update class Admin.tools.network.wifi:
    + Include (also since Buster) package iw
      (was removed since Buster in release 10.7.3).
  * Add classes
    Hardware.box.globalscale
    Hardware.motherboard.olimex.micro
    Service.ssh.openssh.reset
    Service.init.systemd.reset
    Service.ssh.advertise
    Service.supplicant
    hw.soc.marvell.kirkwood.
  * Update class Service.init:
    + Include class Service.init.systemd.default by default
      (not Service.init.sysv.default).
  * Update class Service.ntp:
    + Add subclasses chrony systemd.
  * Update class Service.ssh:
    + Add subclass mosh.
  * Update classes Desktop.mobile.sync.gtk Console.mobile.sync:
    Stop include syncevolution sync-ui since Bullseye
    (see bug#935239).
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Aug 2019 20:30:47 +0200

boxer-data (10.8.6) unstable; urgency=medium

  * Update class Desktop.web.webkit.qt:
    + Install package qutebrowser-qtwebkit (not aora) since Buster.
      Closes: Bug#935608. Thanks to Paul Gevers.
  * Update class Desktop.web.firefox.locale.bn:
    + Drop subclasses BD IN,
      and always install package firefox-esr-l10n-bn
      (not firefox-esr-l10n-bn-bd firefox-esr-l10n-bn-in).
  * Update class Desktop.web.firefox.locale.en.CA:
    + Install package firefox-esr-l10n-en-ca.
  * Update class Desktop.web.firefox.locale.en.ZA:
    + Stop install package firefox-esr-l10n-en-za.
  * Update class Desktop.web.firefox.locale.INDIA:
    + Stop install package firefox-esr-l10n-mai.
  * Update class Desktop.web.firefox.locale.ml:
    + Stop install package firefox-esr-l10n-ml.
  * Update class Desktop.web.firefox.locale:
    + Drop subclass or.
  * Update class Desktop.office.libreoffice.locale.EUROPE:
    + Install package libreoffice-l10n-gd.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Aug 2019 19:52:44 +0200

boxer-data (10.8.5) unstable; urgency=medium

  * Update class Admin.tools.network.wifi:
    + Fix ensure initial start of WiFi daemon iwd on Buster
      (see bug#934194).
  * Extend class Framework.rdf:
    + Add subclass easyrdf since Bullseye.
  * Update class Console.design.drawing:
    + install package cairosvg (not python-cairosvg) since Bullseye
      (see bug#934911).
    + install package usvg since Bullseye.
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Aug 2019 15:59:42 +0200

boxer-data (10.8.4) unstable; urgency=medium

  * Fix class Admin.etc.functions: Merge consecutive redirects.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2019 23:15:48 -0300

boxer-data (10.8.3) unstable; urgency=medium

  * Fix class Admin.etc.functions:
    + Fix broken syntax in function _backup().
    + Single-quote regular expressions in function _backup().

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2019 21:16:09 -0300

boxer-data (10.8.2) unstable; urgency=medium

  * Update class Desktop.office.libreoffice.presentation:
    Stop install package libreoffice-ogltrans.
    Closes: Bug#931032. Thanks to Rene Engelhard.
  * Introuce suite bullseye.
  * Update class Task.music.notation.musescore:
    install package musescore3 (not musescore) since Bullseye.
  * Update autopkgtest to cover bullseye (not buster).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2019 22:33:08 -0300

boxer-data (10.8.1) unstable; urgency=medium

  * Update class Admin.etc.functions: Add function _uuid().
  * Update class Hardware.net.interfaces.functions:
    + Add functions
      _iface_set_sociable_nm()
      _iface_set_private_nm()
      _iface_create_nm().
  * Add classes
    Hardware.net.enable.systemd
    Hardware.net.interfaces.dhcp.network-manager
    Hardware.net.interfaces.dhcp.systemd
    Service.firewall.firewalld.network-manager
    Service.firewall.systemd.
  * Update class hw.smp: Stop install package irqbalance.
  * Fix class hw.arm.kirkwood: install package linux-image-marvell
    (not obsolete linux-image-kirkwood).
  * Tighten class Admin.etc.functions:
    + Skip check for existence before grep.
    + More compact backup function.
  * Update class Admin.etc.functions: Add function _clearinikey().
  * Update class Admin.apt.auto.core:
    Mark more packages auto-installed: e2fsprogs kmod.
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2019 14:54:33 -0300

boxer-data (10.8.0) experimental; urgency=medium

  * Add class Framework.pkg.apt.muon.
  * Update class Framework.pkg:
    + Fix drop obsolete subclasses packagekit.gtk gtk.packagekit
      apt.aptdaemon apt.cli.aptdaemon apt.gtk.aptdaemon
  * Update TODOs.
  * Update class Framework.pkg:
    + Add subclasses gnome kde.
  * Update class Framework.vcs.mr:
    + Stop mark mr auto-installed.
  * Fix class Hardware.laptop.olimex:
    + Provide only since Buster.
    + Include class Hardware.bootloader.u-boot.sunxi.
  * Fix classes Desktop.email Desktop.email.harden:
    + Thunderbird is available in stable Debian again.
  * Improve class Admin.etc.functions:
    + Introduce functions _setinivar _setaddinivar.
    + Avoid _backup to .bak same day as .orig.
    + In _setvar _setline try enabled keyword before uncommenting.
    + Cover _setvar with space around = sign.
    + Simplify _setvar _setinivar.
  * Update class Desktop:
    + Fix drop obsolete subclass environment.razorqt.
    + Add subclasses environment.lxqt environment.qt
      media.qt media.video.qt media.video.mpv.qt
      office.qt office.libreoffice.base
      photo.view.qt
      qt
      screensaver.suckless
      terminal.qt web.qt
      tools.qt tools.network.qt.
    + Add classes x11.sddm.elarun Framework.crypto.openssh.pinentry.qt.
    + Update node showmebox-qt to use LXQt (Not Razor-Qt).
  * Fix class Desktop.environment.mate to avoid metapackages.
  * Update class Desktop.environment.gnustep.scheduling
    to install package addressmanager.app.
    Tidy description.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 May 2019 09:39:49 +0200

boxer-data (10.7.7) unstable; urgency=medium

  * Fix class Desktop.environment.xfce: install package xcfe4-panel.
    Closes: Bug#926248.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Apr 2019 20:33:31 +0200

boxer-data (10.7.6) unstable; urgency=medium

  * Fix use hint "bug" (not bogus "bugs" unsupported since boxer 1.3.0).
    Closes: Bug#924382. Thanks to Santiago Vila <sanvila@debian.org>.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Mar 2019 11:06:49 +0100

boxer-data (10.7.5) unstable; urgency=medium

  * Fix autopkgtest: Depends on boxer.
    Closes: Bug#919581. Thanks to Paul Gevers.
  * Update class Admin.harden:
    + install package debian-security-support.
    + install package hardening-runtime since Buster.
  * Update class Framework.rdf.redland:
    + install package python3-librdf (not python-librdf)
      in subclass binding.python.
    + install package python-rdflib-tools in subclass tools.
    + Add subclass binding.r since Buster.
    + install package ontospy in subclass tools since Buster.
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Feb 2019 19:15:32 +0100

boxer-data (10.7.4) unstable; urgency=medium

  * Fix class Framework.media.gstreamer:
    + Stop reference obsolete v0.10 libraries.
  * Extend class Desktop.editor.text:
    + Add subclasses code prose gtk kde qt.
    + Drop subclasses kephra kwrite leafpad mousepad pyroom.
  * Extend autopkgtest:
    + Check that resolved packages are installable.
  * Fix class Service.mail.sieve:
    + install package dovecot-managesieved
      (not bogus dovecot-managesieve).
  * Fix class Admin.harden:
    + Stop include obsolete package harden.
  * Fix class cli.compression.uncommon:
    + Stop include obsolete package zoo.
  * Update class Framework.notebook:
    + Fix drop obsolete subclass ipython.
    + Add subclass jupyter.
  * Fix drop obsolete classes Desktop.web.java Desktop.web.firefox.java.
  * Update class Language.java:
    + Fix drop obsolete subclasses openjdk6 openjdk7.
    + Add subclasses avoid limit.
    + Add subclass openjdk11 since Buster.
  * Fix provide data only for suites Stretch and Buster
    (not also future Bullseye).
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Jan 2019 21:36:10 +0100

boxer-data (10.7.3) experimental; urgency=medium

  * Update class Admin.tools.network.wifi:
    + install package iwd (not iw wireless-tools rfkill) since Buster.
    + install package wpasupplicant before Buster.
  * Update class Service.ssh:
    + Stop mark as auto-installed packages
      openssh-blacklist openssh-blacklist-extra: Obsolete.
  * Extend class Service.ssh:
    + Add subclasses client server openssh.
  * Update class cli.ssh-server:
    + Stop install package molly-guard: Too unreliable.
  * Update class Hardware.laptop.olimex.teres1:
    + Provide since Stretch (not Buster):
      Simplifies use even though it requires backported packages.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Dec 2018 21:54:36 +0100

boxer-data (10.7.2) unstable; urgency=medium

  * Update class Desktop.design.font.tools.gtk:
    + Stop include typecatcher since Buster.
  * Declare compliance with Debian Policy 4.3.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Dec 2018 20:31:24 +0100

boxer-data (10.7.1) unstable; urgency=medium

  * Drop class Desktop.media.video.web: Unused since Jessie.
  * Drop classes Desktop.web.firefox.locale.zu Desktop.web.locale.zu
    l10n.hunspell.de.AT.hunspell l10n.hunspell.de.CH.hunspell
    l10n.hunspell.de.DE.hunspell l10n.hunspell.en.GB.myspell
    l10n.hunspell.en.ZA.myspell l10n.hunspell.lt.myspell:
    Unused since Jessie.
  * Update class Desktop.filesystem.indexer.locate:
    + Use subclass gtk (i.e. package catfish,
      not subclass xfce i.e. package xfce4-linelight-plugin)
      since Buster.
  * Update class Desktop.environment.xfce.file-manager:
    + Stop explicitly install package gvfs:
      Handled in package thunar since long.
  * Update class Desktop.environment.xfce:
    + Include (not avoid) subclass audio (GStreamer 0.10 is gone).
  * Update class Desktop.mobile.sync.gtk:
    + Stop flag package evolution-data-server as auto-installed.
  * Update node huayruro-classmate:
    + Include class Desktop.web.webkit (not Desktop.web.webkit.gnome):
      package midori updated to use modern WebKitGTK+.
  * Update class Desktop.design.pdf:
    + Include bookletimposer.
    + Stop include pdfshuffler since Buster.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Dec 2018 11:14:38 +0100

boxer-data (10.7.0) unstable; urgency=medium

  * Stop provide deprecated suite extensions.
  * Stop provide obsolete suites wheezy jessie.
    Introduce future suite bullseye.
  * Drop classes Desktop.scheduling.locale
    Desktop.scheduling.lightning.locale
    (obsolete since Quantum release of Thunderbird).
  * Use short-form dh sequencer (not cdbs).
    Stop build-depend on cdbs.
  * Declare compliance with Debian Policy 4.2.1.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Fix update source URL.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Nov 2018 16:09:19 +0100

boxer-data (10.6.8) unstable; urgency=medium

  * Fix class Desktop.email.thunderbird.locale:
    + Drop locale subclasses bn pa ta
      (unavailable since Quantum release).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Nov 2018 13:18:36 +0100

boxer-data (10.6.7) unstable; urgency=medium

  * Fix class Desktop.email.thunderbird.bidi:
    + install package thunderbird-bidiui (not iceweasel-bidiui)
      since Buster.
      See bug#913391.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Nov 2018 13:46:40 +0100

boxer-data (10.6.6) unstable; urgency=medium

  * Update class Framework.pkg.apt.source.reset:
    + Fix use host deb.debian.org (not httpredir.debian.org).
  * Fix typo in TODO.
  * Deprecate class Hardware.net.pac.avoid
    (Obsolete since libproxy 0.4.x.)
  * Fix class Service.web.mail.cider:
    + Really install (not auto-install) package ciderwebmail.
  * Fix class Service.web.apache.gnutls:
    + Really install package libapache2-mod-gnutls.
  * Fix class Service.web.wiki.moinmoin:
    + Really install (not auto-install) package python-moinmoin.
  * Update class l10n.hunspell:
    + Use hunspell (not myspell) for locales
      bg ca cs el es fr he hu nl pl pt.BR pt.PT ru sk sv since Stretch.
    + Use hunspell (not myspell) for locale lv since Buster.
  * Update class Desktop.web.iceweasel.locale:
    + revert to install packages firefox-esr-l10n-be firefox-esr-l10n-de
      firefox-esr-l10n-sl firefox-esr-l10n-uk,
      previously dropped since Stretch.
  * Update class Desktop.web.iceweasel.locale:
    + install packages firefox-esr-l10n-cak firefox-esr-l10n-ia
      firefox-esr-l10n-ka firefox-esr-l10n-kab firefox-esr-l10n-my
      firefox-esr-l10n-ne-np firefox-esr-l10n-oc firefox-esr-l10n-ur
      since Jessie.
  * Fix class l10n.hunspell.de.medical:
    + install package hunspell-de-med (not bogus hunspell-en-medical).
  * Update class l10n.hunspell:
    + Add subclasses bo nb.hunspell nn.hunspell since Stretch.
    + Add subclasses dz gug id since Buster.
  * Fix class l10n.hunspell.de.DE:
    + Include/avoid package myspell-de-de-1901
      (not myspell-de-de-oldspell) since Stretch.
  * Fix class l10n.hunspell:
    + Really use hunspell (not myspell) for locales en.GB en.ZA
      since Jessie (as intended since June 2016, git commit 834e2bf,
      despite reverse commit message).
  * Deprecate class l10n.hunspell.en.US.myspell.
  * Update class l10n.hunspell:
    + Add subclass sq since Buster.
  * Fix class Desktop.design.painting:
    + Avoid packages mypaint mypaint-data-extras (see bug#894757).
  * Drop class l10n.hunspell.bg.myspell:
    + Obsolete since Stretch (and now implied until then).
  * Drop class l10n.hunspell.sv.myspell:
    + Transitional since (at least) Jessie.
  * Fix class l10n.hunspell.de.de.old:
    + Fix install package myspell-de-de-1901
      (not myspell-de-de-oldspell) since Stretch.
  * Update class Admin.auto.all:
    + Flag as auto-installed package dbus since Jessie.
    + Flag as auto-installed package apparmor since Buster.
  * Update class hw.crypto:
    + install package jitterentropy-rngd (not haveged) since Buster.
  * Update class Console.design:
    + install package scour (not python-scour) since Buster.
  * Fix class Desktop.web.firefox.harden:
    + install packages webext-https-everywhere webext-ublock-origin.
    + Stop install packages xul-ext-certificatepatrol
      xul-ext-cookie-monster xul-ext-flashblock xul-ext-noscript
      xul-ext-refcontrol xul-ext-requestpolicy xul-ext-y-u-no-validate
      (obsoleted by switch to Quantum Firefox).
  * Extend class Desktop.web.firefox.harden:
    + install packages webext-https-everywhere webext-ublock-origin
      since Buster.
  * Fix class Desktop.email.thunderbird.locale.fi:
    + Stop install xul-ext-mozvoikko (handled by thunderbird-l10n-fi,
      see bug#792367).
  * Deprecate class Desktop.email.thunderbird.sieve:
    + Obsoleted by switch to Quantum Firefox.
  * Update class Desktop.sheduling.lightning.locale:
    + install packages thunderbird-l10n-*
      (not now transitional lightning-l10n-*).
  * Extend class Desktop.email.thunderbird.locale:
    + install packages thunderbird-l10n-cy thunderbird-l10n-kk
      thunderbird-l10n-ms.
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 10 Nov 2018 13:28:29 +0100

boxer-data (10.6.5) unstable; urgency=medium

  * Fix add previous release to CHANGES file.
  * Add class Desktop.environment.kde.
    Add class x11.sddm since Stretch.
  * Extend class Desktop.web:
    + Add subclasses blink.gtk chromium konqueror.
    + Add subclasses blink.qt falkon qutebrowser since Buster.
  * Add class Desktop.environment.ukui since Buster.
  * Fix (really this time) class l10n.hunspell.nl (since buster):
    + install package hunspell-nl (not myspell-nl).
    Closes: Bug#886814. Thanks to Rene Engelhard.
  * Fix avoid needlesly install package aptitude from classes
    Framework.pkg.apt.proxy.reset Framework.pkg.apt.source.functions.
  * Update class Console.tools:
    + Stop include classes Console.tools.media Framework.documentation
      Framework.vcs (but add explicitly - i.e. keep - in class Console).
    + Include class Console.editor.
    + install package wget (not class Console.tools.web) in class
      Console.tools.network.
  * Update class Framework.pkg.apt.source.reset:
    + Use host deb.debian.org (not httpredir.debian.org).
  * Add more ideas to TODO.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Sep 2018 18:47:24 +0200

boxer-data (10.6.4) unstable; urgency=medium

  * Update class Hardware.laptop.purism.librem13v1:
    + Add class Hardware.nic.realtek
      (uses firmware RTL8168E-2 available since firmware-nonfree 0.38).
  * Add class hw.soc.allwinner.a64 (since jessie).
    Add class Hardware.laptop.olimex.teres1 (since buster).
  * Update Vcs-* fields: Source moved to Salsa.
  * Declare source package as not requiring root to build.
  * Declare compliance with Debian Policy 4.1.1.
  * Update package relations: Stop build-depend on dh-buildinfo.
  * Add a bunch of ideas to TODO file.
  * Add autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Jul 2018 16:40:36 +0200

boxer-data (10.6.3) unstable; urgency=medium

  * Update class Console.design.painting:
    + install package optipng (not inferior package pngcrush).
  * Update node huayruro-classmate:
    + Stop include class Desktop.office.gtk.
  * Update class Desktop.office.libreoffice.word-processor:
    + Stop avoid package libreoffice-emailmerge (since jessie):
      Obsolete.
  * Update classes Desktop.environment.xfce.base
    Desktop.environment.xfce.audio:
    + Include/avoid package xfce4-pulseaudio-plugin (since stretch).
    + Stop include/avoid xfce4-mixer xfce4-volumed.
  * Update class Console.media.audio.pulseaudio.client:
    + install package pulsemixer (since buster).
  * Fix class Desktop.web.firefox.locale.de spuriously dropping all
    packages when included (since stretch): Single package commented out
    need "pkg:" declaration itself commented out.
  * Fix class l10n.hunspell.nl (since buster):
    + install package hunspell-nl (not myspell-nl).
    Closes: Bug#886814. Thanks to Rene Engelhard.
  * Add some TODOs.
  * Add new classes:
    + Hardware.igp.intel.skylake
    + Hardware.laptop.purism
    + Hardware.motherboard.intel.skylake-u
    + Hardware.nic.atheros
    + Hardware.sound.intel.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jan 2018 14:56:22 +0100

boxer-data (10.6.2) unstable; urgency=high

  * Fix class x11.lightdm.gtk to install package slick-greeter (not
    bogus lightdm-slick-greeter).
    Thanks to Mattia Rizzolo.
  * Add class hw.soc.allwinner.a64 (since buster).
  * Raise ugency to limit above minimal changes delay on pending fixes.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Nov 2017 18:43:30 +0100

boxer-data (10.6.1) unstable; urgency=medium

  * Fix class l10n.hunspell.sl:
    + install package hunspell-sl (not myspell-sl).
      Closes: Bug#872712. Thanks to Mattia Rizzolo and Rene Engelhard.
    + Relax class Desktop.web.firefox.locale.EU (since stretch): Avoid
      package firefox-esr-l10n-sl (see bug#881241).
  * Extend class x11.lightdm.gtk:
    + Add subclass slick since buster
    + Use subclass slick by default (gtk greeter recommends
      metapackages).
  * Update TODOs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Nov 2017 11:39:05 +0100

boxer-data (10.6.0) unstable; urgency=medium

  * Add suite buster.
  * Fix typo in changelog entry.
  * Fix class Desktop.web.iceweasel.locale: Drop locale be (since
    stretch).
    Closes: Bug#864985. Thanks to Peter Green.
  * Fix class Desktop.designcolor:
    stop install package gcolor2 (since stretch);
    closes: Bug#869155. Thanks to Tobias Frost.
  * Fix class Admin.etc.functions to use grep -E (not deprecated egrep).
    See bug#867658, #867695.
  * Simplify rules: Stop resolve package relations in rules file.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Nov 2017 11:59:29 +0100

boxer-data (10.5.20) unstable; urgency=medium

  * Fix isolate deprecated classes from non-deprecated classes.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Apr 2017 22:18:38 +0200

boxer-data (10.5.19) unstable; urgency=medium

  * Fix included jessie-deprecated classes, avoiding broken symlinks.
    Closes: Bug#860581. Thanks to Andreas Beckmann.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Apr 2017 02:43:43 +0200

boxer-data (10.5.18) unstable; urgency=medium

  * Fix class Desktop.scheduling.lightning: Install package lightning
    (not bogus lighning-extension).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Apr 2017 15:28:47 +0200

boxer-data (10.5.17) unstable; urgency=medium

  * Fix revert class l10n.hunspell to use myspell (not hunspell) for
    norwegian: Firefox locale packages still too picky.
  * Fix revert class Desktop.email.thunderbird.bidi to install package
    icedove-bidiui (not bogus thunderbird-bidiui).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Apr 2017 14:11:24 +0200

boxer-data (10.5.16) unstable; urgency=medium

  * Rename classes (see bug#860026):
    + Desktop.web.iceweasel → Desktop.web.firefox (since jessie).
    + Desktop.email.icedove → Desktop.email.thunderbird (since stretch).
    + Desktop.scheduling.iceowl → Desktop.scheduling.thunderbird (since
      stretch).
  * Re-enable class Console.mobile.sync (see bug#824426).
  * Fix re-enable dictionary and/or locale packages (see bug#782720,
    #824750, #824776, #824796):
    + norwegian
    + icelandic
    + gaelic
    + lithuanian
    + croatian

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Apr 2017 12:40:06 +0200

boxer-data (10.5.15) unstable; urgency=medium

  * Improve class Framework.pkg.apt.avoid-removals:
    + Avoid removals without favoring downgrades.
    + Add more bug references.
  * Avoid Pencil2D: Deemed immature by its package maintainer.
    See bug#854277.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Mar 2017 17:07:04 +0100

boxer-data (10.5.14) unstable; urgency=medium

  * Extend class Console:
    + Add subclass web. Include Console.web in Console.
    + Include Console.web.tools in Console.tools.network.
  * Extend class Console.tools.network:
    + install package rsync.
  * Extend class Admin.apt.tools.changes:
    + Add subclasses confirm which.
  * Change class Admin.tools:
    + Include class Admin.tools.disk.partition.
    + Stop include classes Console.tools.media Framework.documentation
      Framework.vcs Admin.tools.dns.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Dec 2016 01:29:20 +0100

boxer-data (10.5.13) unstable; urgency=medium

  * Avoid BookletImposer since stretch.
    See bug#834007 (and #846263).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2016 02:07:48 +0100

boxer-data (10.5.12) unstable; urgency=medium

  * Fix release version and date in CHANGES.
  * Fix class Framework.pkg.apt.source.functions (missing escape in
    function _setaptsrc).
  * Fix class Admin.disk.auto: Append var if missing (rcS file is empty
    by default since stretch).
  * Fix class Framework.pkg.apt.source.functions (missing separator
    before function _resetaptsrc).
  * Fix class Framework.pkg.apt.proxy.reset (wrong assumtion that
    /etc/apt/apt.conf always exist).
  * Fix class Framework.pkg.apt.source.reset (broken variable
    expansions, stray trailing curly quote).
  * Fix class Service.mail.mta.avoid for Stretch: list MTAs individually
    (cannot avoid a virtual package).
  * Fix class Service.init.systemd.init: install package systemd-sysv
    (not sysvinit).
  * Fix class Desktop.office.libreoffice since Stretch:
    + Add gtk subclasses gtk2 gtk3.
    + Adjust subclass gnome to use gtk.gtk3.
    Closes: Bug#833796. Thanks to Rene Engelhard.
  * Reduce class Admin.auto:
    + Stop include Admin.disk.auto.
    + Mention in Admin.disk.auto description it being useful only with
      non-systemd init systems.
  * Reduce class Admin.tools.processes:
    + Stop install package atop (only limited use).
  * Extend class Service.mail.mta:
    + Add subclasses dma msmtp.
  * Extend class Service.firewall:
    + Add subclass firewalld.
  * Extend class Admin.tools.dns:
    + Add subclass knot.
    + Move default to subclass bind9.
  * Extend class Service.scheduler:
    + Add subclass systemd.
  * Extend class Admin.apt.tools:
    + Add subclass libreload since Jessie, included in main class.
  * Add device-specific u-boot classes.
  * Add class Framework.localization.limit.
  * Add TODO on testing Service.mail.mta.avoid coverage.
  * Add TODO about packages with limited security support.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Nov 2016 19:49:03 +0100

boxer-data (10.5.11) unstable; urgency=medium

  * Fix class Admin.etc.functions to escape $ in regex.
  * Fix temporarily suppress class Console.mobile.sync since Stretch
    (see bug#824426).
  * Improve class Admin.etc.functions to bang-enclose regex (instead of
    comma, more likely to appear in content.
  * Improve class Admin.etc.functions: Introduce functions
    _setappendline _setappendvar.
  * Update class Desktop.scheduling.iceowl.locale:
    + Include locales ar be bn br cy el fi gd gl he hy id lt nb-no pa pt
      rm ro si sl sq sr ta tr uk vi since Jessie (not only Stretch:
      Introduced in point release 8.5).
  * Update class Desktop.web.iceweasel.locale:
    + Include locales an az dsb eo gn hsb ms sr uz since Jessie (not
      only Stretch: Introduced in point release 8.5).
    + Fix avoid obsolete locale zu since Jessie (not only Stretch).
  * Update class Desktop.email.icedove.locale:
    + Have locale class bn include bn.IN since Stretch.
  * Update class l10n.hunspell:
    + Use myspell (not hunspell) for locales en.GB en.ZA since Jessie
      (not only Stretch).
  * Extend class Desktop.mobile.sync:
    + Add by-widget subclasses.
    + Add more packages.
  * Extend class Console.tools:
    + Include Console.compression.
    + Include Console.tools.media.
  * Extend class Console.tools.filesystem:
    + install package eject.
  * Extend class Admin.tools.hardware:
    + install package usbutils.
  * Extend class Service.display.xorg.video:
    + Add subclasses all.avoid omap.
  * Extend class Admin.tools:
    + Add subclasses disk hardware.low-level network.
  * Add classes:
    + Framework.pkg.apt.source.functions
    + Console.tools.media
    + Service.init
    + hw.soc.ti
    + Hardware.nic.ti
    + Hardware.nic.marvell
    + Hardware.motherboard.goldelico
    + Hardware.laptop.openpandora
  * Add class Language.c.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jun 2016 00:53:17 +0200

boxer-data (10.5.10) unstable; urgency=medium

  * Fix class Desktop.web.iceweasel.locale:
    + Avoid locales no-* in EUROPE (not only SCANDINAVIA).
    + Avoid including metapackage icedove-l10n-all.
  * Fix class Desktop.email.icedove.locale:
    + Avoid locales no-* in EUROPE (not only SCANDINAVIA).
  * Improve class Desktop.scheduling.iceowl.locale:
    + Stop avoid locales lt no-* (see bug#824750).
  * Improve class Desktop.web.iceweasel.locale:
    + Stop avoid locale bg (not affected my myspell/hunspell issue).
    + Include locale pa-in.
  * Improve class Desktop.office.libreoffice.locale:
    + Include locales am gug st.
  * Fix class Desktop.web.iceweasel.locale:
    + Include locale sr only since Stretch.
    + Stop include locales csb ku zu in Jessie (available only as
      security update).
  * Fix class Desktop.office.libreoffice:
    + Stop include subclass theme.galaxy.avoid (not only since Stretch).
  * Fix class l10n.hunspell:
    + Use hunspell (not myspell) for de-* only since Stretch.
  * Fix localegroup classes:
    + Avoid packages hunspell-sr hunspell-vi in Jessie (clashes with
      myspell-da).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2016 14:33:09 +0200

boxer-data (10.5.9) unstable; urgency=medium

  * Fix avoid iceweasel locale packages de bg uk recommending only
    myspell since Stretch.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2016 01:40:39 +0200

boxer-data (10.5.8) unstable; urgency=medium

  * Fix work around myspell/hunspell clash for locales de-* gd uk since
    Stretch:
    + Have classes l10n.hunspell.* include hunspell-* (not myspell-*).
  * Fix avoid norwegian dictionaries missing since Stretch:
    + Use hunspell (not missing myspell) by default.
    + Avoid mozilla locale packages recommending only myspell.
    See bug#790765, #802950.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 May 2016 20:30:58 +0200

boxer-data (10.5.7) unstable; urgency=medium

  * Fix class l10n.hunspell.hunspell.lt: Package myspell-lt is gone
    (replaced with transitional package).
    + Avoid mozilla packages for locale lt since Stretch: Transitional
      package effectively conflicts with itself (see bug#824796).
  * Fix class l10n.hunspell.hunspell.vi: Only hunspell exists.
  * Fix class Desktop.office.libreoffice.locale.ASIA: Drop locale
    package ku gone since Stretch.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 May 2016 23:11:50 +0200

boxer-data (10.5.6) unstable; urgency=medium

  * Fix class l10n.hunspell to favor myspell subclasses (Mozilla locale
    packages conflict with hunspell packages - see bug#824750, 824776#):
    bg ca cs de el es fr gd he hr hu it lt nb nl nn pl pt ru sk sl sv uk
    vi.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 May 2016 19:42:54 +0200

boxer-data (10.5.5) unstable; urgency=medium

  * Fix have class Desktop.email.icedove.bidi include icedove-bidiui
    (not bogus icedove-l10n-bidiui).
  * Fix have class Desktop.web.iceweasel.locale.AFRICA stop include
    iceweasel-l10n-ak iceweasel-l10n-lg since Jessie.
  * Fix have class Desktop.web.iceweasel.locale.ASIA stop include
    iceweasel-l10n-ku since Stretch.
  * Fix have class Desktop.web.iceweasel.locale.ZA stop include
    iceweasel-l10n-zu since Stretch.
  * Fix have class Desktop.web.iceweasel.locale.ASIA to consistently
    include iceweasel-l10n-ta (not iceweasel-l10n-ta-lk).
  * Fix have class l10n stop include bogus mythes-zu.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2016 22:41:51 +0200

boxer-data (10.5.4) unstable; urgency=medium

  * Fix have class Desktop.office.libreoffice stop include subclass
    theme.galaxy.avoid since Stretch: Tango theme depends on Galaxy
    theme in LibreOffice 5).
    Closes: bug#823962. Thanks to Ralf Treinen.
  * Extend class l10n.hunspell:
    + Add be.
    + Add br (since Jessie).
    + Add bs (since Stretch).
  * Extend use of l10n/* in Desktop localeregion classes.
  * Update CHANGES.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 May 2016 04:20:11 +0200

boxer-data (10.5.3) unstable; urgency=medium

  * Fix accidentally avoiding gnome-system-tools for stretch (leftover
    from buggy usermode).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 May 2016 17:18:23 +0200

boxer-data (10.5.2) unstable; urgency=medium

  * Use https protocol in Vcs-Git URL.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.
  * Improve and extend class l10n and other locale-related classes.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 May 2016 14:11:37 +0200

boxer-data (10.5.1) unstable; urgency=medium

  * Fix avoid LibreOffice metapackage for localeregion ZA (individual
    locales explicitly included instead).
  * Add localegroup classes
    + Desktop.scheduling.locale.ASIA (since jessie)
    + Desktop.scheduling.iceowl.locale.ASIA (since jessie)
    + Desktop.scheduling.locale.AMERICAS (since jessie)
    + Desktop.scheduling.iceowl.locale.AMERICAS (since jessie)
  * Extend class Desktop.scheduling.iceowl.locale:
    + ASIA: ar bn he id pa ru si ta tr vi (since stretch)
    + AMERICAS: pt_BR (since stretch)
    + EU: el fi hr pt-pt ro sl (since stretch)
    + EUROPE: be br cy gd gl hy-am lt nb-no rm sq tr uk (since stretch)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 May 2016 22:35:48 +0200

boxer-data (10.5.0) unstable; urgency=medium

  * Fix have class Desktop.media.video.mpv.gtk include
    Desktop.media.video.mpv, and mark package mpv as auto-installed.
  * Fix syntax error in class Desktop.filesystem.manager.xfce.
  * Fix double inclusion in class Desktop.environment.mate.official.
  * Fix add surf (not midori) in class Desktop.web.webkit.gtk: Midori is
    poorly maintained, and missing in Jessie.
  * Include Pencil2D to class Desktop.design.animation.
  * Add classes:
    + Console.editor.vim.minimal
    + Desktop.environment.mate.file-manager
    + Desktop.environment.mate.policykit-agent (since Jessie)
    + Desktop.media.video.gtk
    + Desktop.media.video.totem
    + Desktop.wm.fluxbox
    + Framework.media.gstreamer.gtk2.alsa
    + Framework.media.gstreamer.gtk3.alsa
    + Framework.theme.mate
    + Framework.web.npapi.flash
    + Hardware.laptop.acpi
    + Hardware.net.bluetooth.acpi
    + Service.print.postscript
    + Service.hdaps (and include in Hardware.hdaps)
  * Extend Hardware classes (where relevant) with hw.acpi hw.smp.
  * Extend class Hardware.hdaps with new Service.hdaps.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 May 2016 01:15:19 +0200

boxer-data (10.4.0) unstable; urgency=medium

  * Fix avoid mail-transport-agent (not install gone lsb-invalid-mta)
    for Stretch.
  * Fix untie Desktop.environment.xfce.power from its superclass.
  * Fix avoid hpijs-ppds (not bogus hpijs) in class
    Service.print.cups.avoid.
  * Fix avoid only non-meta printer-driver-* depending on or
    recommending cups in class Service.print.cups.avoid.
  * Fix syntax of class Console.bidi.
  * Fix some section labels.
  * Fix add Console.locale.avoid, and stop avoid Desktop classes in
    other subclasses of Console.locale.
  * Fix typo in package description for class Desktop.wm.openbox.limit.
  * Fix limit linux kernels marked as auto-installed.
  * Add classes:
    + Desktop.email.gtk
    + Desktop.email.sylpheed
    + Desktop.environment.gnome
    + Desktop.environment.lxde.limit
    + Desktop.environment.lxde.policykit-agent
    + Desktop.filesystem.manager.nautilus
    + Desktop.media.video.mpv.gtk (for Stretch)
    + Desktop.office.libreoffice.gnome
    + Desktop.terminal.lxde
    + Desktop.tools.print
    + Framework.auth.gnome.keyring.avoid
    + Framework.documentation
    + Framework.filesystem.gvfs
    + Framework.theme.gnome
    + Framework.vcs
    + Service.print.cups.ipp-usb (for Stretch)
    + x11.gdm
  * Extend classes:
    + Service.print (printer driver subclasses, CUPS client classes)
    + Service.print.minolta.zjstream (non-free firmware download tool)
    + Language.tcl.avoid (also avoid tk)
  * Stop include Console.filesystem.indexer in Console: Arguably too
    uncommon a feature.
  * Deprecate class Desktop.tools.terminal.lxde.
  * Subclass Console.tools. Update class Console.tools.filesystem to
    install package dfc in both stretch (i.e. only avoid in jessie).
  * Add notes on version numbering to README.source.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2015 21:43:15 +0530

boxer-data (10.3.4) unstable; urgency=medium

  * Include gnome-system-tools (not usermode - too unstable) in class
    Desktop.tools.account.
  * Add classes:
    + Desktop.environment.lxde
    + Desktop.tools.terminal.lxde
    + Framework.theme.lxde

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Dec 2015 03:10:18 +0545

boxer-data (10.3.3) unstable; urgency=medium

  * Deprecate Hardware.crypto and hw.power (as intended in release 7).
  * Avoid task-* packages (use corresponding classes/packages instead.
  * Improve class Admin.etc.functions:
    + Fix function _backup() to create *.bak file if *.orig exists.
    + Fix cunction _clone() to force-copy (backup was made).
    + Fix function _clone() to test for source before making backup.
    + Add functions _backup_todir() _setline().
  * Fix broken init class Framework.pkg.apt.
  * Fix typo in class Framework.pkg.base.
  * Add classes:
    + Service.ntp subclasses
    + Service.scheduler
    + Service.time.openntpd.force
    + Admin.apt subclasses
    + Framework.pkg.apt subclasses
    + Service.dns.caching
    + Console.setup
    + Service.firewall
    + Hardware.net.interfaces
    + Hardware subclasses for ARM devices
    + Service.dhcp subclasses
  * Add node gateway.
  * Update TODO: Add note on regression testing shell code.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Nov 2015 11:53:34 +0100

boxer-data (10.3.2) unstable; urgency=medium

  * Fix include origami-pdf (not origami) in Desktop.design.pdf.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Nov 2015 20:09:08 +0100

boxer-data (10.3.1) unstable; urgency=medium

  * Pseudo-drop (i.e. empty) Stretch class Desktop.media.video.web: No
    longer sensible even to avoid.
  * Fix suppress failure to mark package auto-installed.
  * Update CHANGES.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Modernize git-buildpackage config: Avoid git- prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Nov 2015 14:01:37 +0100

boxer-data (10.3.0) unstable; urgency=medium

  * Add locale (not only localeregion) classes for India.
  * Include hunspell and hyphen classes in more places.
  * Small adjustments to ZA localegroup classes.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Nov 2015 03:55:01 +0100

boxer-data (10.2.1) unstable; urgency=medium

  * Fix add missing ZA localegroup classes, and class l10n.hyphen.en.
  * Add sample ShowMeBox nodes, to test recently added classes:
    + Desktop.environment.gnustep
    + Desktop.environment.razorqt
    + Desktop.locale.ZA
    + Framework.notebook.ipython

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Nov 2015 21:40:21 +0100

boxer-data (10.2.0) unstable; urgency=medium

  * Add locale classes for official South African languages.
  * Fix drop bogus package iceweasel-l10n-nso from class
    Desktop.web.iceweasel.locale.ZA.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Nov 2015 20:33:12 +0100

boxer-data (10.1.1) unstable; urgency=medium

  * Fix drop dfc from Wheezy and Jessie (not only Stretch).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Nov 2015 13:28:37 +0100

boxer-data (10.1.0) unstable; urgency=medium

  * Fix singlequote-escape \n in tweaks.
  * Fix stop include dfc (class Console.tools) or usermode (class
    Desktop.tools.account) since Stretch: Currently missing.
  * Add class Framework.notebook.ipython.
  * Add classes Desktop.environment.gnustep Desktop.wm.windowmaker
    x11.wdm.
  * Extend class Framework.media.gstreamer.avoid to also avoid GStreamer
    1.0 since Jessie.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Sep 2015 22:09:16 +0200

boxer-data (10) unstable; urgency=medium

  * Refactor class Desktop.environment.xfce to have less hardcoded in
    base class but have more subclasses included by default.
  * Rename class Hardware.firmware → hw.firmware.
  * Enable firmware in all current motherboard classes).
  * Have class Hardware.laptop.lenovo.edge145 include
    Hardware.nic.realtek.
  * Have Jessie class Desktop.media.audio.pulseaudio add pasystray.
  * Extend class Desktop.media.
  * Add class Desktop.photo.view.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jul 2015 12:41:32 +0200

boxer-data (9) unstable; urgency=medium

  * Extend coverage of Finnish locale.
  * Fix stop use bogus class Desktop.office.libreoffice.java.avoid.
  * Add basic testsuite.
    Build-depend on boxer.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2015 11:51:12 +0200

boxer-data (8) unstable; urgency=medium

  * Fix class l10n.hunspell.en.GB.myspell to use lowercase for package
    myspell-en-gb.
  * Fix revert misconfigurations in release 7.
    + Add to Jessie class Desktop.office.libreoffice.locale.ASIA
      packages libreoffice-l10n-kk libreoffice-l10n-kmr
    + Add to Jessie class Desktop.office.libreoffice.locale.EUROPE
      package libreoffice-l10n-gd.
    + Refactor class Desktop.office.libreoffice to separate GTK+ support
      from avoiding some components, and avoid per default.
  * Add Finnish spell engine Voikko to classes
    Desktop.office.libreoffice.locale.NORDIC
    Desktop.mail.icedove.locale.NORDIC.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2015 01:46:40 +0200

boxer-data (7) unstable; urgency=medium

  * Fix some broken classes, including Printing.
    Closes: bug#767360.
  * Rename a bunch of classes, deprecating former ones when needed.
    Keep deprecated class files in separate directory.
  * Fix avoid obsolete or not yet available packages since Jessie:
    + bluez-gstreamer
    + epdfview
    + gstreamer0.10-ffmpeg
    + iceowl-l10n-fi
    + iceowl-l10n-gd
    + iceowl-l10n-id
    + iceowl-l10n-lt
    + iceowl-l10n-nb-no
    + iceowl-l10n-pa-in
    + iceowl-l10n-sq
    + iceowl-l10n-tr
    + iceowl-l10n-uk
  * Refactor l10n and other localisation classes.
  * Improve README: Clarify when appropriate to use pkg-avoid with
    lowercase classes.
  * Enumerate bugs as separate parameters, and Add a few bug closures.
  * Fix consistently lowercase parameter labels.
  * Stop embed __PKGAUTOLIST__ in tweaks in class Admin.apt.auto.all
    (supported since Boxer 0.004).
  * Adjust README: Classes are neither objective nor subjective.
  * Avoid cpufrequtils and deprecate (now empty) class hw.power: Better
    handled by kernel modules since Wheezy.
  * Limit classes ...locale.SCANDINAVIA to mutually intelligible
    languages, and add superclass NORDIC for the whole region.
  * Drop Wheezy and Jessie classes deprecated before release of Jessie.
    Introduce stretch classes.
  * Redefine class Desktop.office.gtk to mean GTK+-related office tools
    (not GTK+ parts of default - i.e. LibreOffice - office tools).
  * Have Jessie class Hardware.laptop.lenovo.edge145 include new
    class Hardware.nic.broadcom.b43: Non-free STA driver unneeded since
    kernel 4.0.5.
  * Fix stop have class Task.harden.desktop include
    Framework.media.gstreamer.avoid: Unrelated to hardening, and clashes
    with indirect GStreamer dependency via task-xfce-desktop.
    See bug#774282.
  * Add lots of new classes and a few new nodes.
  * Add a bunch of TODOs.
  * Update copyright info:
    + Extend coverage for packaging to current year.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jul 2015 11:39:54 +0200

boxer-data (6) unstable; urgency=medium

  * Release for unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 20:03:16 +0100

boxer-data (6~exp1) experimental; urgency=medium

  * Adapt to ABI of reclass 1.4: rename files for default classes from
    index.yml to init.yml.
    See bug#766903.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 19:33:57 +0100

boxer-data (5) unstable; urgency=medium

  * New class Desktop.design.web. Exclude that and its subclass sass
    from Desktop.design.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 03:00:06 +0100

boxer-data (4) unstable; urgency=medium

  * Adaptations for Jessie suite:
    + Desktop.web.security class install xul-ext-y-u-no-validate.
    + Desktop.media.video class install mpv (not mplayer2 or EsounD).
  * Restructure Desktop.web class:
    + Separate subclasses base and gecko from index.
    + Add subclasses webkit and chromium.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Oct 2014 00:21:39 +0200

boxer-data (3) unstable; urgency=medium

  * Fix Console.design class.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 00:25:33 +0200

boxer-data (2) unstable; urgency=medium

  * Rename class Desktop.mobile.photo → Desktop.photo.manage.gtk.
  * Add design classes.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Oct 2014 22:27:47 +0200

boxer-data (1) unstable; urgency=low

  * Initial release.
    Closes: Bug#765996.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Oct 2014 02:28:31 +0200
